package com.testor.ddd.safetyControl.application.service.spaceManage;

import com.testor.ddd.safetyControl.interfaces.model.dto.space.TSafeSpaceTypeDTO;
import com.testor.ddd.safetyControl.interfaces.model.dto.space.TSafeSpaceTypeDTOParam;
import com.tongtech.tfw.backend.common.biz.models.BaseResponse;
import com.tongtech.tfw.backend.common.biz.models.BaseResponseList;

import java.util.List;

public interface SpaceTypeManageService {
    /**
     * 编辑空间
     * @param spaceTypeOrgDto
     * @return
     */
    BaseResponse editSpaceType(TSafeSpaceTypeDTO spaceTypeOrgDto);

    BaseResponseList<TSafeSpaceTypeDTO> listByPage(TSafeSpaceTypeDTOParam param);

    TSafeSpaceTypeDTO findById(String id);

    BaseResponse deleteById(String id);

    List<TSafeSpaceTypeDTO> selectList();
}
